﻿
@{
    ViewBag.Title = "Order";

    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style type="text/css">
    /*#spinner {
        background: #FFFFFF;
        filter: alpha(opacity=60);*/ /* IE */
    /*-moz-opacity: 0.5;*/ /* Mozilla */
    /*opacity: 0.5;*/ /* CSS3 */
    /*position: fixed;*/
    /*height: 50%;
        width: 50%;
        text-align: center;
        overflow: auto;
        z-index: 1234;
    }*/

    .help-block {
        color: red;
    }

    /*table {
        border-collapse: collapse;
        width: 100%;
    }

    th {
        padding: 8px;
        text-align: left;
        border-bottom: 1px solid #ddd;
    }

    th:hover {
        background-color: blue;
    }*/

    table#table_listSales.dataTable tbody td:hover {
        background-color: lightgrey;
    }

    table#table_Part.dataTable tbody td:hover {
        background-color: lightgrey;
    }

    /*.labelpart {
        display: none
    }

    @@media (min-width: 768px) {
        .labelpart {
            display: inline-block
        }
    }*/
</style>

@section HeadLibrary{

    <link rel="stylesheet" href="~/adminlte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="~/adminlte//plugins/datatables-responsive/css/responsive.bootstrap4.min.css">

    <link rel="stylesheet" href="~/adminlte/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">

    <link rel="stylesheet" href="~/adminlte/plugins/toastr/toastr.min.css">


    <link rel="stylesheet" href="~/adminlte/plugins/icheck-bootstrap/icheck-bootstrap.min.css">

    <link rel="stylesheet" href="~/adminlte/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">

    <link rel="stylesheet" href="~/adminlte/plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="~/adminlte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">

    <link rel="stylesheet" href="~/adminlte/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">

    <link rel="stylesheet" href="~/adminlte/css/adminlte.min.css">
}

<section class="content" style="margin-top:-10px; padding-top:0px">
    <div class="row">
        <div class="col-md-12">
            <div class="card card-primary card-outline">
                <div class="card-header">
                    <h3 class="card-title"><i class="fas fa-edit"></i> Order Entry User ID : @ViewBag.CustName</h3>
                    <span class="badge bg-red pull-right" style="font-size:24px">@ViewBag.MenuID</span>
                </div>
                @*<div class="card-body pad table-responsive">*@
                <div class="card-body">
                    <div class="box-header">
                        <div class="btn-group" style="float:left;margin-right:3px">
                            <button type="button" class="btn btn-info">File</button>
                            <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown">
                                <span class="caret"></span>
                                <span class="sr-only">Toggle Dropdown</span>
                            </button>
                            <div class="dropdown-menu" role="menu" style="">
                                <a class="dropdown-item" onclick="newOrderHed()" OnClientClick()="RefreshPage()">New Order</a>
                                <a class="dropdown-item" onclick="newOrderDetail()">New Line</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#">Save</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="@Url.Content("~/Home")">Exit</a>
                            </div>
                        </div>
                        <div id="btnOrderHed" style="float:left;margin-right:3px; display:none;">
                            <button id="SaveOrderHed" class="btn btn-success" onclick="saveOrderHed()"><i class="fas fa-save"></i> Save</button>
                            <button id="DeleteOrderHed" class="btn btn-danger" onclick="deleteOrderHed()"><i class="fas fa-trash-alt"></i> Delete</button>
                            <button id="RefreshOrderHed" class="btn btn-default" onclick="refreshOrderHed()"><i class="fas fa-sync-alt"></i> Refresh</button>
                        </div>
                        <div id="btnOrderDetail" style="float: left; margin-right: 3px; display:none;">
                            <button id="SaveOrderDetail" class="btn btn-success" onclick="saveOrderDetail()"><i class="fas fa-save"></i> Save</button>
                            <button id="DeleteOrderDetail" class="btn btn-danger" onclick="deleteOrderDetail()"><i class="fas fa-trash-alt"></i> Delete</button>
                            <button id="RefreshOrderDetail" class="btn btn-default" onclick="refreshOrderDetail()"><i class="fas fa-sync-alt"></i> Refresh</button>
                        </div>
                        <button class="btn btn-warning" onclick="resetOrder()"><i class="fa fa-undo"></i> Reset</button>
                        @*<div class="ml-auto p-2">
                                <button class="btn btn-info " id="btn-reload">Reload Data</button>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="OrderNum" placeholder="Order Number" autocomplete="off" required>
                            </div>*@
                        @*<div class="ml-auto p-2">
                                <button class="btn btn-info " id="btn-reload">Reload Data</button>
                            </div>*@
                    </div>
                </div>
            </div>

            <div class="card card-primary card-outline card-outline-tabs">
                <div class="card-header p-0 border-bottom-0">
                    <ul class="nav nav-tabs" id="custom-tabs-four-tab" role="tablist">
                        @*<li class="nav-item" id="li_tab_header" onclick="showBtnOrderHed()">*@
                        <li class="nav-item" id="li_tab_header">
                            <a class="nav-link active" id="tab-header" data-toggle="pill" href="#tab_header" role="tab" aria-controls="custom-tabs-four-home" aria-selected="true">Header</a>
                        </li>
                        @*<li class="nav-item" id="li_tab_detail" onclick="showBtnOrderDetail()">*@
                        <li class="nav-item" id="li_tab_detail">
                            <a class="nav-link" id="tab-detail" data-toggle="pill" href="#tab_detail" role="tab" aria-controls="custom-tabs-four-profile" aria-selected="false">Lines</a>
                        </li>
                    </ul>
                </div>
                <div class="card-body">
                    <div class="tab-content" id="custom-tabs-four-tabContent">
                        <div class="tab-pane fade active show" id="tab_header" role="tabpanel" aria-labelledby="custom-tabs-four-home-tab">
                            <form class="form-horizontal" id="form-orderhed" action="#" method="post">
                                <div class="card-body">
                                    <div class="form-group row">
                                        <div class="col-sm-2">
                                            <button type="button" class="btn btn-block btn-default" id="btn-modal-salesorder" data-toggle="modal" data-target="#modal_salesOrder">
                                                <i class="fas fa-search"></i> Sales Order
                                            </button>
                                        </div>
                                        @*<label for="OrderNum" class="col-sm-2 col-form-label" align="right">Order Number</label>*@
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="header_OrderNum" placeholder="Order Number" autocomplete="off" disabled="disabled" required>
                                        </div>
                                    </div>
                                    @*<div class="form-group row">
                                            <label for="header_CustID" class="col-sm-2 col-form-label" align="right">Customer ID</label>
                                            <div class="col-sm-10">
                                                <input type="text" class="form-control" id="header_CustID" placeholder="Cust ID" autocomplete="off" disabled="disabled" required>
                                                <span class="help-block"></span>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="header_CustName" class="col-sm-2 col-form-label" align="right">Customer Name</label>
                                            <div class="col-sm-10">
                                                <input type="text" class="form-control" id="header_CustName" placeholder="Cust Name" autocomplete="off" disabled="disabled" required>
                                                <span class="help-block"></span>
                                            </div>
                                        </div>*@
                                    <div class="form-group row">
                                        <label for="header_PONum" class="col-sm-2 col-form-label" align="right">PO Number</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="header_PONum" placeholder="Enter PO Number" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="header_OrderDate" class="col-sm-2 col-form-label" align="right">Order Date</label>
                                        <div class="col-sm-10">
                                            <input type="date" class="form-control" id="header_OrderDate" placeholder="Enter Order Date" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="header_NeedByDate" class="col-sm-2 col-form-label" align="right">Need By Date</label>
                                        <div class="col-sm-10">
                                            <input type="date" class="form-control" id="header_NeedByDate" placeholder="Enter Need By Date" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                </div>

                                @*<div class="card-footer">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>*@

                                <!--<div class="card-header card-primary p-0 card-outline card-tabs border-bottom-0">
                                    <ul class="nav">
                                        <li class="nav-item" id="header-line">
                                            <a class="nav-link" id="tab-header" data-toggle="pill" role="tab" aria-controls="custom-tabs-four-home" aria-selected="false">
                                                <h5 class="box-title">
                                                    <i class="fas fa-tasks"></i> Lines Detail
                                                </h5>
                                            </a>
                                        </li>
                                    </ul>
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">-->
                                @*<table id="user-table" class="table table-bordered table-striped no-border">*@
                                <!--<table id="tableOrder" class="table table-bordered table-hover dataTable dtr-inline " role="grid">
                                    <thead>
                                        <tr>
                                            <th>Line</th>
                                            <th>Part</th>
                                            <th>Part Description</th>
                                            <th>Order Qty</th>
                                            <th>UOM</th>
                                            <th>Need By Date</th>-->
                                @*<th>Action</th>*@
                                <!--</tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>-->



                            </form>
                        </div>
                        <div class="tab-pane fade" id="tab_detail" role="tabpanel" aria-labelledby="custom-tabs-four-profile-tab">
                            <form id="form-orderdetail">
                                <div class="card-body">
                                    <div class="form-group row">
                                        <label for="detail_OrderNum" class="col-sm-2 col-form-label" align="right">Order Number</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_OrderNum" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="detail_OrderLine" class="col-sm-2 col-form-label" align="right">Order Line</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_OrderLine" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-sm-2">
                                            <button type="button" class="btn btn-block btn-default" id="btn-modal-Part" disabled="disabled" data-toggle="modal" data-target="#modal_Part">
                                                <i class="fas fa-search"></i> PartNum...
                                            </button>
                                        </div>
                                        @*<label for="PartNum" class="col-sm-2 col-form-label">Part Number</label>*@
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_PartNum" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="detail_Description" class="col-sm-2 col-form-label" align="right">Description</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_Description" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="detail_IUM" class="col-sm-2 col-form-label" align="right">IUM</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_IUM" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="detail_OrderQty" class="col-sm-2 col-form-label" align="right">Order Quantity</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_OrderQty" value="0" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="detail_UnitPrice" class="col-sm-2 col-form-label" align="right">Unit Price</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" id="detail_UnitPrice" value="0" autocomplete="off" disabled="disabled" required>
                                            <span class="help-block"></span>
                                        </div>
                                    </div>
                                </div>

                                @*<div class="card-footer">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>*@

                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@section Modals{

    <!-- Bootstrap modal sales order -->
    <div class="modal fade" id="modal_salesOrder" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i class="fas fa-calendar"></i> Order List</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>

                </div>
                <div class="modal-body">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h5 class="panel-title">Custom Filter : </h5>
                        </div>
                        <div class="panel-body">
                            <form id="form-filter" class="form-horizontal">
                                <div class="form-group row">
                                    @*<label for="Name" class="col-sm-10 control-label">Req. Number</label>*@
                                    <label for="detail_OrderNum" class="col-sm-2 col-form-label" align="right">Order Number</label>
                                    <div class="col-sm-3">
                                        <input name="FilterReqID" id="FilterReqID" class="form-control" type="text" style="height: 2.3em;">
                                    </div>
                                </div>
                                @*<div class="form-group row">
                                        <label for="Name" class="col-sm-2 control-label">Request Date</label>
                                        <div class="col-sm-3">
                                            <div class="input-group">
                                                <div class="input-group-addon">
                                                    <i class="fa fa-calendar"></i>
                                                </div>
                                                <input type="text" placeholder="Input Date" class="form-control pull-right" id="FilterDateBegin" name="FilterDateBegin">
                                            </div>
                                        </div>
                                        <div class="col-sm-1" style="width:10px;">
                                            <span>s/d</span>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="input-group">
                                                <div class="input-group-addon">
                                                    <i class="fa fa-calendar"></i>
                                                </div>
                                                <input type="text" placeholder="Input Date" class="form-control pull-right" id="FilterDateEnd" name="FilterDateEnd">
                                            </div>
                                        </div>
                                    </div>*@
                                @*<div class="form-group row">
                                        <label for="AllButton" class="col-sm-2 control-label"></label>
                                        <div class="col-sm-4">
                                            <button id="btn-filterReq" type="button" class="btn btn-primary"><i class="glyphicon glyphicon-filter"></i> Filter</button>
                                            <button id="btn-resetReq" type="button" class="btn btn-warning" ><i class="fa fa-undo"></i> Reset</button>
                                        </div>
                                    </div>*@
                            </form>
                        </div>
                    </div>
                    <div class="box-body no-padding" style="max-height:400px; overflow-y:auto;">
                        <table id="table_listSales" style="width:100%" class="table table-striped table-bordered table-hover">
                            <thead>
                                <tr>
                                    @*<th style="width:10px">No</th>*@
                                    <th>Order Number</th>
                                    <th>Order Date</th>
                                    <th>PO Number</th>
                                    <th>Customer ID</th>
                                    <th>Customer Name</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>

                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap modal Part -->
    <div class="modal fade" id="modal_Part" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><i class="fas fa-calendar"></i> Part List</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>

                </div>
                <div class="modal-body">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h5 class="panel-title">Custom Filter : </h5>
                        </div>
                        @*<div class="panel-body">
                            <form id="form-filter" class="form-horizontal">
                                <div class="form-group row">
                                    <label for="detail_OrderNum" class="col-sm-2 col-form-label" align="right">Order Number</label>
                                    <div class="col-sm-3">
                                        <input name="FilterReqID" id="FilterReqID" class="form-control" type="text" style="height: 2.3em;">
                                    </div>
                                </div>
                            </form>
                        </div>*@
                    </div>
                    <div class="box-body no-padding" style="max-height:400px; overflow-y:auto;">
                        <table id="table_Part" style="width:100%" class="table table-striped table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th>Part Number</th>
                                    <th>Description</th>
                                    @*<th>Class ID</th>*@
                                    <th>UOM</th>
                                    @*<th>Type Code</th>
                                    <th>Prode Code</th>*@
                                    <th>Unit Price</th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>

                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>


}

@*<div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header d-flex justify-content-between">
                    <h3>Inactive Users</h3>
                </div>
                <div class="card-body">
                    <table id="user-table" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>Customer ID</th>
                                <th>Customer Name</th>
                                <th>Email Address</th>
                                <th>Activation</th>

                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>*@

<div class="row">
    <div class="col-sm-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <ul class="nav">
                    <li class="nav-item" id="header-line">
                        <a class="nav-link" id="tab-header" data-toggle="pill" role="tab" aria-controls="custom-tabs-four-home" aria-selected="false">
                            <h6 class="box-title">
                                <i class="fas fa-tasks"></i> Lines Detail
                            </h6>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <table id="table_Order" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Line</th>
                            <th>Part</th>
                            <th>Part Description</th>
                            <th>Order Qty</th>
                            <th>UOM</th>
                            <th>Need By Date</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>

@*<div class="container-fluid">
         Trigger the modal with a button
        <br>  <br>
        <button type="button" class="btn btn-info btn-sm pull-right" data-toggle="modal" data-target="#myModal">Show Record</button>  <br>  <br>
        <div class="panel panel-default">
            <div class="panel-heading"></div>
            <div class="panel-body">
                <form id="form12">
                    <div class="form-group">
                        <input type="Hidden" name="ID" class="form-control">
                    </div>
                    <div class="form-group">
                        <label>Name</label>
                        <input type="text" name="Name" class="form-control">
                    </div>
                    <div class="form-group">
                        <label>Bday</label>
                        <input type="text" name="Bday" class="form-control">
                    </div>
                    <div class="form-group">
                        <label>Age</label>
                        <input type="number" name="Age" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="submit" name="Submit" class="btn btn-success">
                    </div>
                </form>

            </div>
        </div>

         Modal
        <div id="myModal" class="modal fade" role="dialog">
            <div class="modal-dialog">

                 Modal content
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Modal Header</h4>
                    </div>
                    <div class="modal-body">
                        <div class="table-responsive">
                            <table class="table" id="example">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Bday</th>
                                        <th>Age</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>Name1</td>
                                        <td>10-1-1997</td>
                                        <td>20</td>
                                    </tr>
                                    <tr>
                                        <td>Name2</td>
                                        <td>9-1-1997</td>
                                        <td>20</td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>
    </div>*@

@*<table id="example" class="display" style="width:100%">
        <thead>
            <tr>
                <th>Name</th>
                <th>Position</th>
                <th>Office</th>
                <th>Age</th>
                <th>Start date</th>
                <th>Salary</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Tiger Nixon</td>
                <td>System Architect</td>
                <td>Edinburgh</td>
                <td>61</td>
                <td>2011-04-25</td>
                <td>$320,800</td>
            </tr>
            <tr>
                <td>Garrett Winters</td>
                <td>Accountant</td>
                <td>Tokyo</td>
                <td>63</td>
                <td>2011-07-25</td>
                <td>$170,750</td>
            </tr>

        </tbody>
    </table>*@

@section BodyLibrary{
    @*DataTables*@
    <script src="@Url.Content("~/adminlte/plugins/datatables/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/adminlte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/adminlte/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/adminlte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>
    @*SweetAlert2*@
    <script src="@Url.Content("~/adminlte/plugins/sweetalert2/sweetalert2.min.js")"></script>
    @*Toastr*@
    <script src="@Url.Content("~/adminlte/plugins/toastr/toastr.min.js")"></script>
    @*DataRender*@
    <script src="@Url.Content("~/adminlte/plugins/dataRender/dateTime.js")"></script>
    <script src="@Url.Content("~/adminlte/plugins/jsgrid/demos/db.js")"></script>
    <script src="@Url.Content("~/adminlte/plugins/jsgrid/jsgrid.min.js")"></script>
    @*Select2*@
    <script src="@Url.Content("~/adminlte/plugins/select2/js/select2.full.min.js")"></script>
    @*Bootstrap Switch*@
    <script src="@Url.Content("~/adminlte/plugins/bootstrap-switch/js/bootstrap-switch.min.js")"></script>
    @*bootstrap color picker*@
    <script src="@Url.Content("~/adminlte/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js")"></script>
    @*Select2*@
    <script src="~/adminlte/plugins/select2/js/select2.full.min.js"></script>
    @*jquery-validation*@
    <script src="~/adminlte/plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="~/adminlte/plugins/jquery-validation/additional-methods.min.js"></script>

}

@section scripts{
    <!--function for tab_header-->
    <script type="text/javascript">
        var tableOrder;
        var NUMBER_ORDER;
        var RETURNURL = "https://localhost:44334/Order/Index";
        var CustID = '@ViewBag.CustID';
        var CustName = '@ViewBag.CustName';
        var OrderNumHed = 0;
        var OrderNumDetail = 0;
        var table;
        var table_Order;
        var table_Order2;
        var counter = 0;

        $("#btn-reload").click(function () {
            table_Order.ajax.reload();
            //alert(OrderNumHed);
            //console.log("selesai");
        });

        $(document).ready(function () {
           table = $("#user-table").DataTable({
                "ajax": {
                    "url": '@Url.Action("GetInactiveUser", "Order")',
                    "type": "GET",
                    "datatype" : "JSON"
               },
               "paging": false,
               "searching": false,
               "columns": [
                   { "data": "CustID" },
                   { "data": "Name" },
                   { "data": "Email" },
                   {
                       "searchable": false, "orderable": false, "sClass": "text-center", "width": "16%", "render": function (data, type, row) {
                           let btnActivated = "btn-info";
                           let btnText = "Activated";
                           if (row.IsActive === true) {
                               btnActivated = "btn-danger";
                               btnText = "Deactivated";
                           }
                           return '<button type="button" data="' + row.CustID + '" data-status="' + row.IsActive + '" class="btn btn-block btn-sm ' + btnActivated + '" onclick="activatedUser(this,event);" id="btn-isActive">' + btnText + '</button>';
                       }
                   },
               ]
            });
        });

        @*$(document).ready(function () {
           table_Order = $("#table_Order").DataTable({
                "ajax": {
                    "url": '@Url.Action("GetAllOrder", "Order")',
                    "type": "POST",
                    "datatype" : "JSON"
               },
               "columnDefs": [
                   {
                       "targets": 5,
                       "render": function (data) {
                           return moment(data).format('DD-MMM-YYYY');
                       },
                   },
               ],
               "paging": false,
               "searching": false,
               "filter": false, //disable filter
               "lengthChange": false, //disable 'show 10 entries'
               "bInfo": false, //disable 'showing 1 to N entries'
               "bPaginate": false, //disable page 1 2 3... Next button
               "columns": [
                   { "data": "OrderLine", "name": "OrderLine", "autoWidth": true },
                   { "data": "PartNum", "name": "PartNum", "autoWidth": true },
                   { "data": "Description", "name": "Description", "autoWidth": true },
                   { "data": "OrderQty", "name": "OrderQty", "autoWidth": true },
                   { "data": "IUM", "name": "IUM", "autoWidth": true },
                   { "data": "NeedByDate", "name": "NeedByDate", "autoWidth": true },
               ],
            });
        });*@

        $(document).ready(function () {
                    var table_listSales = $("#table_listSales").DataTable({
                        "autoWidth": false,
                        "responsive": true,
                        "ajax": {
                            "datatype": "JSON",
                            "url": '@Url.Action("GetAllSalesOrder", "Order")',
                            "type": "POST",
                        },
                        "columnDefs": [
                            {
                                "targets": 1,
                                "render": function (data) {
                                    return moment(data).format('DD-MMM-YYYY');
                                },
                            },
                        ],
                        "paging": false,
                        "searching": false,
                        "filter": false, //disable filter
                        "lengthChange": false, //disable 'show 10 entries'
                        "bInfo": false, //disable 'showing 1 to N entries'
                        "bPaginate": false, //disable page 1 2 3... Next button
                        "columns": [
                            { "data": "OrderNum", "name": "OrderNum", "autoWidth": true },
                            { "data": "OrderDate", "name": "OrderDate", "autoWidth": true },
                            { "data": "PONum", "name": "PONum", "autoWidth": true },
                            { "data": "CustID", "name": "CustID", "autoWidth": true },
                            { "data": "CustName", "name": "CustName", "autoWidth": true },
                            //{
                            //    "searchable": false, "orderable": false, "sClass": "text-center", "width": "16%", "render": function (data, type, row) {
                            //        return '<button type="button" class="btn btn-xs btn-success waves-effect waves-light mr-1" onclick="'+copyToForm(row.PONum);+'" style="width : 40%">Sync</button>';
                            //    }
                            //},
                        ],
                    });


        });

        //$('#table_listSales').fadeIn(1000);

        $('#table_listSales tbody').on('click', 'tr', function () {
            //var datas = table_listSales.row(this).data();
            //$('form-orderhed').find("input[name='header_PONum'][type='text']").val(data);
            var data_OrderNum = $('td', this).eq(0).text();
            viewOrder(data_OrderNum);
            table_Order.ajax.reload();
            $("#modal_salesOrder").modal("hide");
            //alert('You clicked on ' + data_OrderNum+ "'s row");
        });

        $("#modal_salesOrder").on("hidden.bs.modal", function () {
            showBtnOrderHed();
            //showBtnOrderDetail();
            enableOrderHed();
            enableOrderDetail();
            table_Order.ajax.reload();
        })

        $('#modal_salesOrder').on('shown.bs.modal', function () {
            //table_listSales.columns.adjust()
        });

        function copyToForm(PONum) {
            $formRef = $('#form-orderhed');
            $formRef.find('#header_PONum').val(PONum);
        }

        //$(document).ready(function () {
        //    var table = $('#example').DataTable();

        //    $('#example tbody').on('click', 'tr', function () {
        //        var data = table.row(this).data();
        //        $('form').find("input[name='Name'][type='text']").val(data[0]);
        //        //$('#header_PONum').val(data[0]);
        //        //alert('You clicked on ' + data[0] + "'s row");
        //    });
        //});

        function loadOrderList() {
        }

        function RefreshPage() {
            window.location.reload()
        }

        $(document).ready(function () {
                    table_Order = $("#table_Order").DataTable({
                        "autoWidth": false,
                        "responsive": true,
                        "ajax": {
                            "datatype": "JSON",
                            "url": '@Url.Action("GetAllOrder", "Order")',
                            "type": "POST",
                            "data": function (data) {
                                var OrderNum = $("#header_OrderNum").val();
                                if (OrderNum.trim() == "" || isNaN(OrderNum)) {
                                    OrderNum = "0";
                                }
                                //return dataToSend;
                                return { "OrderNum": OrderNum};
                            }

                        },
                        "columnDefs": [
                            {
                                "targets": 5,
                                "render": function (data) {
                                    return moment(data).format('DD-MMM-YYYY');
                                },
                            },
                        ],
                        "paging": false,
                        "searching": false,
                        "filter": false, //disable filter
                        "lengthChange": false, //disable 'show 10 entries'
                        "bInfo": false, //disable 'showing 1 to N entries'
                        "bPaginate": false, //disable page 1 2 3... Next button
                        "columns": [
                            { "data": "OrderLine", "name": "OrderLine", "autoWidth": true },
                            { "data": "PartNum", "name": "PartNum", "autoWidth": true },
                            { "data": "Description", "name": "Description", "autoWidth": true },
                            { "data": "OrderQty", "name": "OrderQty", "autoWidth": true },
                            { "data": "IUM", "name": "IUM", "autoWidth": true },
                            { "data": "NeedByDate", "name": "NeedByDate", "autoWidth": true },
                            {
                                "searchable": false, "orderable": false, "sClass": "text-center", "width": "16%", "render": function (data, type, row) {
                                    return '<button type="button" data="' + row.OrderNum + '" class="btn btn-primary btn-sm" onclick="editUser(this,event); "><i class="far fa-edit"></i></button>   <button type="button" data="' + row.OrderNum + '" class="btn  btn-danger btn-sm" onclick="deleteOrderDetail(\'' + row.OrderNum + '\',\'' + row.OrderLine + '\')"><i class="fas fa-trash-alt"></i></button>';
                                }
                            }
                        ],
                    });
        });

        $("#header_OrderNum").change(function () {
            table_Order.ajax.reload();
        });

        function loadTableOrder() {
            @*var dataToSend = {};
            dataToSend = { "OrderNum": OrderNumHed };
            $(document).ready(function () {
                    table_Order_y = $("#table_Order").DataTable({
                        "autoWidth": false,
                        "responsive": true,
                        "ajax": {
                            "datatype": "JSON",
                            "url": '@Url.Action("GetAllOrder", "Order")',
                            "type": "POST",
                            "data": function (data) {
                                return dataToSend;
                            }
                            //"data": { "OrderNum": GetOrderNum() },
                        },
                        "columnDefs": [
                            {
                                "targets": 5,
                                "render": function (data) {
                                    return moment(data).format('DD-MMM-YYYY');
                                },
                            },
                        ],
                        "paging": false,
                        "searching": false,
                        "filter": false, //disable filter
                        "lengthChange": false, //disable 'show 10 entries'
                        "bInfo": false, //disable 'showing 1 to N entries'
                        "bPaginate": false, //disable page 1 2 3... Next button
                        "columns": [
                            { "data": "OrderLine", "name": "OrderLine", "autoWidth": true },
                            { "data": "PartNum", "name": "PartNum", "autoWidth": true },
                            { "data": "Description", "name": "Description", "autoWidth": true },
                            { "data": "OrderQty", "name": "OrderQty", "autoWidth": true },
                            { "data": "IUM", "name": "IUM", "autoWidth": true },
                            { "data": "NeedByDate", "name": "NeedByDate", "autoWidth": true },
                        ],
                    });
                });*@


            @*$.ajax({
                /*contentType: 'application/JSON; charset=utf-8',*/
                url: '@Url.Action("GetAllOrder")',
                type: "post",
                dataType: "json",
                //data: JSON.stringify({ "OrderNum": "1" }),
                success: function (data) {
                    $("#tableOrder").DataTable({
                        /*"scrollX": true,*/
                        "autoWidth": false,
                        "filter": false, //disable filter
                        "lengthChange": false, //disable 'show 10 entries'
                        "bInfo": false, //disable 'showing 1 to N entries'
                        "bPaginate": false, //disable page 1 2 3... Next button
                        data: data.response,
                        "columnDefs": [
                            {
                                "targets": 5,
                                "render": function (data) {
                                    return moment(data).format('DD-MMM-YYYY');
                                },
                            },
                        ],
                        columns: [
                            { "data": "OrderLine", "name": "OrderLine", "autoWidth": false },
                            { "data": "PartNum", "name": "PartNum", "autoWidth": false },
                            { "data": "Description", "name": "Description", "autoWidth": false },
                            { "data": "OrderQty", "name": "OrderQty", "autoWidth": false },
                            { "data": "IUM", "name": "IUM", "autoWidth": false },
                            { "data": "NeedByDate", "name": "NeedByDate", "autoWidth": false },
                            //{
                            //    "searchable": false, "orderable": false, "sClass": "text-center", "width": "16%", "render": function (data, type, row) {
                            //        /*return '<button type="button" data="' + row.OrderNum + '" class="btn btn-xs btn-success waves-effect waves-light mr-1" onclick="editUser(this,event);" style="width : 40%">Edit</button><button type="button" data="' + row.OrderNum + '" class="btn btn-xs btn-danger waves-effect waves-light" onclick="deleteUser(this,event);" style="width : 40%">Delete</button>';*/
                            //        return '<button type="button" data="' + row.OrderNum + '" class="btn btn-xs btn-success waves-effect waves-light mr-1" onclick="editUser(this,event);" style="width : 40%"><i class="fas fa-edit"></i></button>  <button type="button" data="' + row.OrderNum + '" class="btn btn-xs btn-danger waves-effect waves-light" onclick="deleteUser(this,event);" style="width : 40%"><i class="fa fa-trash-alt"></i></button>';
                            //    }
                            //},
                        ]
                    });
                },
                //error: function (result) {
                //    alert("error");
                //    console.log(result);
                //},
            });*@
        }

        function showBtnOrderHed() {
            $("#btnOrderHed").show();
            $("#btnOrderDetail").hide();
        }

        function newOrderHed() {
            showBtnOrderHed();
            enableOrderHed();
            disableOrderDetail();
            clearOrderHed();
            clearOrderDetail();
            table_Order.ajax.reload();
            $('#tableOrder').empty();
            $('#header_OrderNum').val('0');
            //getCompanyInfo();
            //alert(counter);
        }

        function saveOrderHed() {
            clearValidationOrderHed();
            var validate = validateOrderHed();
            if (!validate) {
                return;
            }
            removeAttrOrderHed();
            $('#SaveOrderHed').html('<i class="fas fa-save"></i> Saving..');
            $('#SaveOrderHed').attr('disabled', true);
            $.ajax({
                url: '@Url.Content("~/Order/SaveOrderHed")',
                type: "post",
                dataType: "json",
                data: {
                    "OrderNum": $('#header_OrderNum').val(),
                    "CustID": CustID,
                    "CustName": CustName,
                    "PONum": $('#header_PONum').val(),
                    "OrderDate": $('#header_OrderDate').val(),
                    "NeedByDate": $('#header_NeedByDate').val(),
                },
                //beforeSend: function () {
                //    Swal.fire({
                //        title: 'Saving...',
                //        html: "Save Order Head.",
                //        allowOutsideClick: false,
                //        onBeforeOpen: () => {
                //            Swal.showLoading()
                //        }
                //    });
                //},
                success: function (data) {
                    addAttrOrderHed();
                    if (data.metaData.code == 200) {
                        $('#header_OrderNum').val(data.response);
                        
                        //alert(data.response);
                        //$('#modalAddUser').modal('hide');
                       messageSuccess(data.metaData.message, null);
                    } else {
                        //$('#modalAddUser').modal('hide');
                        //messageFailed(data.metaData.message, null);
                    }
                    $('#SaveOrderHed').html('<i class="fas fa-save"></i> Save');
                    //table_listSales.ajax.reload();
                },
                error: function (result) {
                    console.log("error", result);
                    $('#SaveOrderHed').html('<i class="fas fa-save"></i> Save');
                }
            });
            
        }

        function disableOrderHed() {
            $('#SaveOrderHed').attr('disabled', true);
            $('#DeleteOrderHed').attr('disabled', true);
            $('#RefreshOrderHed').attr('disabled', true);
        }

        function enableOrderHed() {
            $('#header_PONum').attr('disabled', false);
            $('#header_OrderDate').attr('disabled', false);
            $('#header_NeedByDate').attr('disabled', false);
            $('#SaveOrderHed').attr('disabled', false);
            $('#DeleteOrderHed').attr('disabled', false);
            $('#RefreshOrderHed').attr('disabled', false);
        }

        function removeAttrOrderHed() {
            $('header_PONum').removeAttr('disabled');
            $('#header_OrderDate').removeAttr('disabled');
            $('#header_NeedByDate').removeAttr('disabled');
        }

        function addAttrOrderHed() {
            $('#header_PONum').attr('disabled', true);
            $('#header_OrderDate').attr('disabled', true);
            $('#header_NeedByDate').attr('disabled', true);
        }

        function clearOrderHed() {
            clearValidationOrderHed();
            $('#header_OrderNum').val('');
            $('#header_PONum').val('');
            $('#header_OrderDate').val('');
            $('#header_NeedByDate').val('');
        }

        function clearValidationOrderHed() {
            $('.help-block').text('');
            $('#header_PONum').parent().parent().removeClass('has-error');
            $('#header_OrderDate').parent().parent().removeClass('has-error');
            $('#header_NeedByDate').parent().parent().removeClass('has-error');
        }

        function validateOrderHed() {
            var validate = true;
            if ($("#header_PONum").val() == "") {
                $('#header_PONum').parent().parent().addClass('has-error');
                $('#header_PONum').next().text('PO Number is required');
                validate = false;
            }

            if ($("#header_OrderDate").val() == "") {
                $('#header_OrderDate').parent().parent().addClass('has-error');
                $('#header_OrderDate').next().text('Order Date is required');
                validate = false;
            }

            if ($("#header_NeedByDate").val() == "") {
                $('#header_NeedByDate').parent().parent().addClass('has-error');
                $('#header_NeedByDate').next().text('Need By Date is required');
                validate = false;
            }
            return validate;
        }

        function resetOrder() {
            clearOrderHed();
            clearOrderDetail();
            disableOrderHed();
            disableOrderDetail();
            table_Order.ajax.reload();
        }

        function viewOrder(OrderNum) {
            viewOrderDetail(OrderNum);
            $.ajax({
                    type: 'POST',
                    dataType: 'JSON',
                    url: '/Order/Show',
                    data: { "OrderNum": OrderNum },
                    success: function (result) {
                        if (result.metaData.code === '200') {
                            Swal.close();
                            $('#header_OrderNum').val(result.response.OrderNum);
                            $('#header_PONum').val(result.response.PONum);
                            document.getElementById("header_OrderDate").value = convertToJavaScriptDate(result.response.OrderDate);
                            document.getElementById("header_NeedByDate").value = convertToJavaScriptDate(result.response.NeedByDate);
                        } else {
                            return toastr.warning(result.metaData.message, 'Sorry!', { "timeOut": 5000 });
                        }
                    },
                    error: function (eventError, textStatus, errorThrown) {
                        return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
            });
        }

        function myFunction(values) {
            document.getElementById("header_OrderDate").value = convertToJavaScriptDate(values);
            //document.getElementById("header_OrderDate").value = "2014-02-09";
        }

        function convertToJavaScriptDate(value) {
            var pattern = /Date\(([^)]+)\)/;
            var results = pattern.exec(value);
            var dt = new Date(parseFloat(results[1]));

            var Month = (dt.getMonth() + 1).toString();
            let Month2;
            if (Month.length == 1) {
                Month2 = "0" + Month;
            }
            else {
                Month2 = Month;
            }

            var Day = (dt.getDate()).toString();
            let Day2;
            if (Day.length == 1) {
                Day2 = "0" + Day;
            }
            else {
                Day2 = Day;
            }
            //var valuedate = "0" + (dt.getMonth() + 1) + "-" + dt.getDate() + "-" + dt.getFullYear();
            var valuedate = dt.getFullYear() + "-" + Month2 + "-" + Day2;
            //alert(Day2);
            return valuedate;
        }

        function viewOrderDetail(OrderNum) {
            $.ajax({
                type: 'POST',
                dataType: 'JSON',
                url: '/Order/ShowOrderDetail',
                data: { "OrderNum": OrderNum },
                success: function (result) {
                    if (result.metaData.code === '200') {
                        Swal.close();
                        $('#detail_OrderNum').val(result.response.OrderNum);
                        $('#detail_OrderLine').val(result.response.OrderLine);
                        $('#detail_PartNum').val(result.response.PartNum);
                        $('#detail_Description').val(result.response.Description);
                        $('#detail_IUM').val(result.response.IUM);
                        $('#detail_OrderQty').val(result.response.OrderQty);
                        $('#detail_UnitPrice').val(result.response.UnitPrice);
                    } else {
                        return toastr.warning(result.metaData.message, 'Sorry!', { "timeOut": 5000 });
                    }
                },
                error: function (eventError, textStatus, errorThrown) {
                    return toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                }
            });
        }

        $("#form-create").submit(function (event) {
            event.preventDefault();
            $.ajax({
               /* url: "Create",*/
                url: '@Url.Content("~/Order/Create")',
                type: "post",
                dataType: "json",
                data: $(this).serialize(),
                beforeSend: function () {
                    Swal.fire({
                        title: 'Saving...',
                        html: "Save Order details.",
                        allowOutsideClick: false,
                        onBeforeOpen: () => {
                            Swal.showLoading()
                        }
                    });
                },
                success: function (data) {
                    if (data.metaData.code == 200) {
                        $('#modalAddUser').modal('hide');
                        messageSuccess(data.metaData.message, RETURNURL);
                    } else {
                        $('#modalAddUser').modal('hide');
                        messageFailed(data.metaData.message, null);
                    }
                },
                error: function (result) {
                    console.log("error", result);
                }
            });
        });

        $("#form-edit").submit(function (event) {
            event.preventDefault();
            let numberOrder = NUMBER_ORDER;
            let formData = new FormData();
            formData.append("OrderNum", numberOrder);
            formData.append("CustName", $("#EditCustName").val());
            formData.append("CustID", $("#EditCustID").val());
            formData.append("PONum", $("#EditPONum").val());
            formData.append("OrderDate", $("#EditOrderDate").val());
            formData.append("NeedByDate", $("#EditNeedByDate").val());

            $.ajax({
                url: "Update/" + numberOrder,
                type: "post",
                dataType: "json",
                data: formData,
                processData: false,
                processData: false,
                contentType: false,
                beforeSend: function () {
                    Swal.fire({
                        title: 'Updating',
                        html: "Update User details.",
                        allowOutsideClick: false,
                        onBeforeOpen: () => {
                            Swal.showLoading()
                        }
                    });
                },
                success: function (data) {
                    if (data.metaData.code == 200) {
                        $('#modalEditUser').modal('hide');
                        messageSuccess(data.metaData.message, RETURNURL);
                    } else {
                        $('#modalEditUser').modal('hide');
                        messageFailed(data.metaData.message, null);
                    }
                },
                error: function (result) {
                    console.log("error", result);
                }
            });
        });

        window.editUser = (input, evt) => {
            let numberOrder = $(input).attr('data');
            NUMBER_ORDER = numberOrder;
             $.ajax({
                contentType: 'application/JSON; charset=utf-8',
                url: '@Url.Content("~/Order/AmbilOrder")',
                dataType: 'JSON',
                type: 'POST',
                data: JSON.stringify({ "numberOrder": numberOrder }),
                success: function (data) {
                    let order = data.response;
                    $("#EditOrderNum").val(order.OrderNum);
                    $("#EditCustName").val(order.CustName);
                    $("#EditCustID").val(order.CustID);
                    $("#EditPONum").val(order.PONum);
                    $("#EditOrderDate").val(moment(order.OrderDate).format('DD-MMM-YYYY'));
                    $("#EditNeedByDate").val(moment(order.NeedByDate).format('DD-MMM-YYYY'));
                    $('#modalEditUser').modal('show');
                },
                error: function (error) {
                    alert("error" + error);
                }
            })
        }

        @*window.deleteUser = (input, evr) => {
            let numberOrder= $(input).attr('data');
            Swal.fire({
                title: 'Delete User',
                icon: "warning",
                text: 'User ini Akan dihapus, Anda yakin??',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancel',
                confirmButtonText: 'Yes (Delete)',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    return $.ajax({
                        url: '@Url.Content("~/Order/DeleteOrderHed")',
                        type: "post",
                        dataType: "json",
                        data: JSON.stringify({ "numberOrder": numberOrder }),
                        contentType: 'application/JSON; charset=utf-8'
                    }).then(response => {
                        if (!response.ok) {
                            messageFailed(response.statusText)
                        }
                        return response;
                    }).then(result => {
                        if (result.metaData.code === 200) {
                            messageSuccess(result.metaData.message, RETURNURL)
                        } else {
                            messageFailed(result.metaData.message)
                        }
                    }).catch(error => {
                        Swal.showValidationMessage(
                            `Request failed: ${error}`
                        )
                    })
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }*@

        function deleteOrderHed() {
            var OrderNum = $('#header_OrderNum').val();
            Swal.fire({
                title: 'Delete Order',
                icon: "warning",
                text: 'Data ini Akan dihapus, Anda yakin??',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancel',
                confirmButtonText: 'Yes (Delete)',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    return $.ajax({
                        //url: '@Url.Content("~/Order/DeleteOrderHed")',
                        url: '@Url.Action("DeleteOrderHed", "Order")',
                        type: "post",
                        dataType: "json",
                        data: JSON.stringify({ "OrderNum": OrderNum }),
                        contentType: 'application/JSON; charset=utf-8'
                    }).then(response => {
                        if (!response.ok) {
                            messageFailed(response.statusText)
                        }
                        return response;
                    }).then(result => {
                        if (result.metaData.code === 200) {
                            messageSuccess(result.metaData.message, RETURNURL)
                        } else {
                            messageFailed(result.metaData.message)
                        }
                    }).catch(error => {
                        Swal.showValidationMessage(
                            `Request failed: ${error}`
                        )
                    })
                },
                allowOutsideClick: () => !Swal.isLoading()
            });
        }

    </script>

    <!--function for tab_detail-->
    <script type="text/javascript">

        $(document).ready(function () {
                    $("#table_Part").DataTable({
                        "autoWidth": false,
                        "responsive": true,
                        "ajax": {
                            "datatype": "JSON",
                            "url": '@Url.Action("GetListPartNum", "Order")',
                            "type": "POST",
                        },
                        "paging": false,
                        "searching": false,
                        "filter": false,
                        "lengthChange": false,
                        "bInfo": false,
                        "bPaginate": false,
                        "columns": [
                            { "data": "PartNum", "name": "PartNum", "autoWidth": true },
                            { "data": "PartDescription", "name": "PartDescription", "autoWidth": true },
                            { "data": "IUM", "name": "IUM", "autoWidth": true },
                            { "data": "UnitPrice", "name": "UnitPrice", "autoWidth": true },
                        ],
                    });


        });

        $('#table_Part tbody').on('click', 'tr', function () {
            var data_PartNum = $('td', this).eq(0).text();
            var data_PartDesc = $('td', this).eq(1).text();
            var data_IUM = $('td', this).eq(2).text();
            var data_UnitPrice = $('td', this).eq(3).text();
            $('#detail_PartNum').val(data_PartNum);
            $('#detail_Description').val(data_PartDesc);
            $('#detail_IUM').val(data_IUM);
            $('#detail_UnitPrice').val(data_UnitPrice);
            table_Order.ajax.reload();
            $("#modal_Part").modal("hide");
            //alert('You clicked on ' + data_PartNum+ "'s row");

        });

        function showBtnOrderDetail() {
            $("#btnOrderHed").hide();
            $("#btnOrderDetail").show();
        }

        function newOrderDetail() {
            var validate = validateOrderHed();
            if (!validate) {
                return;
            }
            //saveOrderHed();

            //$('#tab_detail').addClass('active');
            //$('#tab_header').removeClass('active');
            //$('#li_tab_detail').addClass('active');
            //$('#li_tab_header').removeClass('active');

            //document.getElementById("detail_PartNum").focus();
           

            showBtnOrderDetail();
            clearOrderDetail();
            enableOrderDetail();
            OrderNumHed = $('#header_OrderNum').val();
            $('#detail_OrderNum').val(OrderNumHed);
            $('#detail_OrderLine').val('0');

            //$('#detail_PartNum').val('001MP');
            //$('#detail_Description').val('PartMP');
            //$('#detail_IUM').val('KG');
            $('#detail_OrderQty').val('0');
            //$('#detail_UnitPrice').val('1000');
            //$('#detail_PartNum').trigger("click");
            //$('#li_tab_detail').trigger("click");
        }

        $("#detail_PartNum").click(function (e) {
            //alert("clicked");
        });

        function focusTab() {
            $('#tab_detail').trigger("click");
        }

        function enableOrderDetail() {
            //$('#LeadTime').attr('readonly', false);
            $('#detail_OrderNum').attr('disabled', true);
            $('#detail_OrderLine').attr('disabled', true);
            $('#detail_PartNum').attr('disabled', false);
            $('#detail_Description').attr('disabled', true);
            $('#detail_IUM').attr('disabled', true);
            $('#detail_OrderQty').attr('disabled', false);
            $('#detail_UnitPrice').attr('disabled', true);
            $('#SaveOrderDetail').attr('disabled', false);
            $('#DeleteOrderDetail').attr('disabled', false);
            $('#RefreshOrderDetail').attr('disabled', false);
            $('#btn-modal-Part').attr('disabled', false);
        }

        function disableOrderDetail() {
            $('#detail_OrderNum').attr('disabled', true);
            $('#detail_OrderLine').attr('disabled', true);
            $('#detail_PartNum').attr('disabled', true);
            $('#detail_Description').attr('disabled', true);
            $('#detail_IUM').attr('disabled', true);
            $('#detail_OrderQty').attr('disabled', true);
            $('#detail_UnitPrice').attr('disabled', true);
            $('#SaveOrderDetail').attr('disabled', true);
            $('#DeleteOrderDetail').attr('disabled', true);
            $('#RefreshOrderDetail').attr('disabled', true);
            $('#btn-modal-Part').attr('disabled', true);
        }

        function clearOrderDetail() {
            clearValidationOrderDetail();
            $('#detail_OrderNum').val('');
            $('#detail_OrderLine').val('');
            $('#detail_PartNum').val('');
            $('#detail_Description').val('');
            $('#detail_IUM').val('');
            $('#detail_OrderQty').val('0');
            $('#detail_UnitPrice').val('0');
        }

        function removeAttrOrderDetail() {
            $("#detail_PartNum").removeAttr('disabled');
            $("#detail_OrderQty").removeAttr('disabled');
        }

        function addAttrOrderDetail() {
            $("#detail_PartNum").attr('disabled', true);
            $("#detail_OrderQty").attr('disabled', true);
        }

        function clearValidationOrderDetail() {
            $('.help-block').text('');
            $('#detail_PartNum').parent().parent().removeClass('has-error');
            $('#detail_OrderQty').parent().parent().removeClass('has-error');
        }

        function validateOrderDetail() {
            var validate = true;
            if ($("#detail_PartNum").val() == "") {
                $('#detail_PartNum').parent().parent().addClass('has-error');
                $('#detail_PartNum').next().text('PartNum is required');
                validate = false;
            }

            if ($("#detail_OrderQty").val() == "0") {
                $('#detail_OrderQty').parent().parent().addClass('has-error');
                $('#detail_OrderQty').next().text('Order Quantity is required');
                validate = false;
            }

            return validate;
        }

        function saveOrderDetail() {
            clearValidationOrderDetail();
            var validate = validateOrderDetail();
            if (!validate) {
                return;
            }

            removeAttrOrderDetail();
            $('#SaveOrderDetail').html('<i class="fas fa-save"></i> Saving..');
            $('#SaveOrderDetail').attr('disabled', true);

            $.ajax({
                url: '@Url.Content("~/Order/SaveOrderDetail")',
                type: "post",
                dataType: "json",
                data: {
                    "OrderNum": $('#detail_OrderNum').val(),
                    "OrderLine": $('#detail_OrderLine').val(),
                    "PartNum": $('#detail_PartNum').val(),
                    "Description": $('#detail_Description').val(),
                    "IUM": $('#detail_IUM').val(),
                    "OrderQty": $('#detail_OrderQty').val(),
                    "UnitPrice": $('#detail_UnitPrice').val(),
                },
                beforeSend: function () {
                    Swal.fire({
                        title: 'Saving...',
                        html: "Save Order Detail.",
                        allowOutsideClick: false,
                        onBeforeOpen: () => {
                            Swal.showLoading()
                        }
                    });
                },
                success: function (data) {
                    //addAttrOrderHed();
                    if (data.metaData.code == 200) {
                        $('#detail_OrderLine').val(data.response);
                        disableOrderDetail();
                        //clearOrderDetail();
                        clearValidationOrderDetail();
                        removeAttrOrderDetail();
                        table_Order.ajax.reload();

                        //alert(OrderNumHed)
                        //$('#modalAddUser').modal('hide');
                        //messageSuccess(data.metaData.message, RETURNURL);
                    } else {
                        //$('#modalAddUser').modal('hide');
                        //messageFailed(data.metaData.message, null);

                    }
                    $('#SaveOrderDetail').html('<i class="fas fa-save"></i> Save');
                },
                error: function (result) {
                    console.log("error", result);
                    $('#SaveOrderDetail').html('<i class="fas fa-save"></i> Save');
                }
            });
        }

        function deleteOrderDetail(OrderNum, OrderLine) {
            //var OrderNum = $('#detail_OrderNum').val();
            //var OrderLine = $('#detail_OrderLine').val();
            Swal.fire({
                title: 'Delete Order',
                icon: "warning",
                text: 'Data ini Akan dihapus, Anda yakinkah??',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                cancelButtonText: 'Cancel',
                confirmButtonText: 'Yes (Delete)',
                showLoaderOnConfirm: true,
                preConfirm: (login) => {
                    return $.ajax({
                        //url: '@Url.Content("~/Order/DeleteOrderDetail")',
                        url: '@Url.Action("DeleteOrderDetail", "Order")',
                        type: "post",
                        dataType: "json",
                        data: JSON.stringify({ "OrderNum": OrderNum, "OrderLine": OrderLine }),
                        contentType: 'application/JSON; charset=utf-8'
                    }).then(response => {
                        if (!response.ok) {
                            messageFailed(response.statusText)
                        }
                        return response;
                    }).then(result => {
                        if (result.metaData.code === 200) {
                            messageSuccess(result.metaData.message, null)
                            setTimeout(function () {
                                table_Order.ajax.reload();
                                viewOrderDetail(OrderNum);
                            }, 3000);
                            
                            
                        } else {
                            messageFailed(result.metaData.message)
                        }
                    }).catch(error => {
                        Swal.showValidationMessage(
                            `Request failed: ${error}`
                        )
                    })
                    
                },
                allowOutsideClick: () => !Swal.isLoading()
                
            });
            
            
        }

    </script>
}





